| Multivariate Pattern Analysis in Python

### Navigation

- index
- next |
- previous |
- ExpPsy Project |
- NeuroDebian Project |
- PyMVPA 0.4.x Home |
- PyMVPA Home |
- Documentation »
- Module Reference »

This content refers to the previous stable release of PyMVPA. Please visit www.pymvpa.org for the most recent version of PyMVPA and its documentation.

# base.externals

## Module: `base.externals`

Helper to verify presence of external libraries and modules

## Functions

`mvpa.base.externals.``exists`(dep, force=False, raiseException=False, issueWarning=None)

  Test whether a known dependency is installed on the system.

  This method allows us to test for individual dependencies without testing all known dependencies. It also ensures that we only test for a dependency once.

  Parameters:

  - dep (string or list of string) – The dependency key(s) to test.
  - force (boolean) – Whether to force the test even if it has already been performed.
  - raiseException (boolean or ‘always’) – Whether to raise RuntimeError if dependency is missing. If True, it is still conditioned on the global setting MVPA_EXTERNALS_RAISE_EXCEPTION, while would raise exception if missing despite the configuration if ‘always’.
  - issueWarning (string or None or True) – If string, warning with given message would be thrown. If True, standard message would be used for the warning text.

`mvpa.base.externals.``testAllDependencies`(force=False)

  Test for all known dependencies.

  Parameters: | force (boolean) – Whether to force the test even if it has already been performed.

### Navigation

- index
- next |
- previous |
- ExpPsy Project |
- NeuroDebian Project |
- PyMVPA 0.4.x Home |
- PyMVPA Home |
- Documentation »
- Module Reference »